<div class="container">
  <h1 class="display-4">Nos bien immobiliers</h1>
  <div class="row mt-5">
    <div
      class="col-sm-12 col-md-6 col-lg-4"
      *ngFor="let property of properties; let i = index"
    >
      <div class="card h-100" style="width: 18rem;">
        <div *ngFor="let photo of property.photos; let first = first">
          <img [src]="photo" *ngIf="first" alt="" class="card-img-top" />
        </div>
        <div class="card-body">
          <h5 class="card-title">{{ property.title }}</h5>
          <h6 class="card-subtitle mb-2 text-muted">
            {{ property.category }}
          </h6>
          <p class="card-text">
            {{ property.category }}
            <span *ngIf="property.surface && property.surface !== ''"
              >de {{ property.surface }} m2,</span
            ><span *ngIf="property.rooms && property.rooms !== ''"
              >{{ property.rooms }} piece(s).</span
            >
          </p>
          <p>{{ property.price }} €</p>
          <p [ngStyle]="{ color: getSoldValue(i) }">
            <span *ngIf="!property.sold">A vendre</span>
            <span *ngIf="property.sold">Vendu</span>
          </p>
          <div class="text-center">
            <button
              class="btn btn-primary"
              type="button"
              [routerLink]="['/property', i]"
            >
              Voir ce bien
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
